%global _with_xfce 0

Summary: Desktop Input Method configuration tool
Name:    im-chooser
Version: 1.7.4
Release: 2%{?dist}
License: GPL-2.0-or-later AND LGPL-2.0-or-later
URL:     http://pagure.io/im-chooser/
Source0:	http://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: libSM-devel imsettings-devel >= 1.8.3
BuildRequires: desktop-file-utils, gtk3-devel
BuildRequires: gcc, make, gettext
Provides:	im-chooser-gnome3 = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

%package	common
Summary:	Common files for im-chooser subpackages
Requires:	imsettings >= 1.8.0
Provides:	bundled(egglib)

%description	common
im-chooser is a GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

This package contains the common libraries/files to be used in
im-chooser subpackages.



%prep
%autosetup -p1



%build
%configure
%make_build



%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/im-chooser.desktop

rm -rf %{buildroot}%{_libdir}/libimchooseui.{so,la,a}

rm -rf %{buildroot}%{_libdir}/control-center-1/panels/libim-chooser.so
rm -rf %{buildroot}%{_datadir}/applications/im-chooser-panel.desktop

rm -rf %{buildroot}%{_bindir}/xfce4-im-chooser
rm -rf %{buildroot}%{_datadir}/applications/xfce4-im-chooser.desktop
rm -rf %{buildroot}/usr/lib/debug/usr/bin/xfce4-*.debug

%find_lang %{name}



%post common -p /sbin/ldconfig
%postun common -p /sbin/ldconfig



%files
%{_bindir}/im-chooser
%{_datadir}/applications/im-chooser.desktop
%{_mandir}/man1/im-chooser.1*

%files	common -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libimchooseui.so.*
%{_datadir}/icons/hicolor/*/apps/im-chooser.png
%dir %{_datadir}/imchooseui
%{_datadir}/imchooseui/imchoose.ui



%changelog
* Fri May 10 2024 Pengda Dou <doupengda@loongson.cn> - 1.7.4-2
- [Type] bugfix
- [DESC] Fix files not deleted after disabling xfce

* Thu Sep 07 2023 Chair <chairou@tencent.com> - 1.7.4-1
- initial
